#/bin/sh
if [ "$1" == "" ] || [ "$2" == "" ] ; then
  echo "usage: build.sh CGP_Distrib.rpm newversion_number"
  exit;
fi
if [ "$3" = "" ] ; then
  MAINTAINER="Alexey Naidyonov <growler@itoolabs.com>"
else 
  MAINTAINER=$3
fi
D=`echo $1|perl -ne 's/(CGatePro-Linux-\d+\.\d+c?)-\w+\.i386\.rpm/$1/;print;'`
alien -g --scripts $1
perl -w chown_script.pl ./$D/debian/postinst > _chown.sh
cd $D
sh ../_chown.sh
cd - >/dev/null
rm _chown.sh
mv ./$D/opt ./$D/lib
cp postinst postrm preinst prerm ./$D/debian
mkdir ./$D/etc
mkdir ./$D/etc/init.d
cp CommuniGate ./$D/etc/init.d
mv ./$D/usr/share/doc/CommuniGate ./$D/usr/share/doc/cgatepro-linux
mkdir ./$D/usr/bin
mkdir ./$D/usr/sbin
mkdir ./$D/usr/lib
mv ./$D/lib/CommuniGate/mail ./$D/usr/bin
rm ./$D/lib/CommuniGate/Startup
mv ./$D/lib/CommuniGate/sendmail ./$D/usr/lib
ln -s ../lib/sendmail ./$D/usr/bin/sendmail
ln -s ../lib/sendmail ./$D/usr/sbin/sendmail
mv ./$D/lib/CommuniGate ./$D/usr/lib
rmdir ./$D/lib
perl changelog_script.pl ./$D/debian/changelog $2 "$MAINTAINER" > _changelog
mv _changelog ./$D/debian/changelog
perl control_script.pl ./$D/debian/control "$MAINTAINER" > _control
mv _control ./$D/debian/control
cd ./$D
debian/rules binary
cd - >/dev/null
