#!/bin/perl -w
use strict;
my $fname=$ARGV[0];
my $ver=$ARGV[1];
my $maintainer=$ARGV[2];
open F,"<$fname" or die "can't open file $fname $!";
while(<F>) {
  if(/^cgatepro-linux \(.*?\)(.*)/) {
    print "cgatepro-linux ($ver)$1\n";
  }
  elsif(/^( -- )(.*)(  [a-zA-Z]{3}, .*)$/) {
    print "$1$maintainer$3\n";
  }
  else {
    print;
  }
}
close F;
